tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Duffy <duff...@yahoo.com>
Subject STILL Can't Deploy WAR With JSTL Under Tomcat 4.0.6
Date Wed, 01 Oct 2003 16:52:19 GMT

My woes continue...

I took all the extraneous JAR files out of my Tomcat
4.0.6 common/lib directory.  There are only four in
there now: the three that came in the download and the
tools.jar.  The three WAR files that I'm deploying
(echo, query, and "big" app) all have the JARs they
need in their WEB-INF/lib directory.  There shouldn't
be any possibility of DLL Hell.  Each app should be
using their own JAR set from the WAR file.

The echo and query apps run perfectly.  Both use the
JSTL 1.0.3 without any problem.

The "big" app is still failing.  I'm getting an
exception in the localhost log:

2003-10-01 12:40:54 Could not load TagLibraryValidator
class org.apache.taglibs.standard.tlv.JstlCoreTLV:
EXCEPTION: null

When I go into the standard.jar in my WAR file, I can
see the class
org.apache.taglibs.standard.tlv.JstlCoreTLV.  

Why can't it be loaded? 

The "big" app still deploys and runs perfectly,
without modification, when I install that same WAR and
context XML on Tomcat 4.1.24. - MOD


__________________________________
Do you Yahoo!?
The New Yahoo! Shopping - with improved product search
http://shopping.yahoo.com

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message